Bug 67950 - Crash: XConfigWindow instance has no attribute 'lastvalidselection'
Crash: XConfigWindow instance has no attribute 'lastvalidselection'
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks: 67217 79578
  Show dependency treegraph
 
Reported: 2002-07-04 14:38 EDT by Sean Tobin
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-25 14:01:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Tobin 2002-07-04 14:38:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1a+) Gecko/20020703

Description of problem:
Traceback (most recent call last):
 File "/usr/lib/anaconda/iw/xconfig_gui.py", line 831 in cardview SelectCb
  if self.lastvalidselection:
 Attribute Error: XConfigWindow instance has no attribute 'lastvalidselection'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Standard workstation install on VMWare Workstation (virtual pc emulator software)
2. After package installation, while selecting video driver, click on 'Other' arrow
3. Crash
	

Actual Results:  Traceback (most recent call last):
 File "/usr/lib/anaconda/iw/xconfig_gui.py", line 831 in cardview SelectCb
  if self.lastvalidselection:
 Attribute Error: XConfigWindow instance has no attribute 'lastvalidselection'

When debug is pressed, the following line is repeated before the traceback:
(anaconda:86): GnomeCanvas-CRITICAL **: file gnome-canvas-path-def.c: line 1142
(gnome_canbas_path_def_any_closed): assertion 'path != NULL' failed

Expected Results:  Expected to select standard SVGA driver

Additional info:

This is on a virtual pc emulator and its quite possible that that fact has
something to do with the crash, however from the traceback it seems like an
installer bug.
Comment 1 Sean Tobin 2002-07-04 14:45:39 EDT
One more piece of info. Anaconda is not able to auto-detect the "video card"
during initilization. Perhaps this is why there is no previous selection?
Comment 2 Michael Fulbright 2002-07-09 20:34:48 EDT
Will look at.
Comment 3 Michael Fulbright 2002-08-01 00:12:28 EDT
Seems we didnt initialize this data reliably.
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 5 Mike McLean 2003-03-25 14:01:14 EST
closing->rawhide

Please reopen if you encounter this bug with the next release.

Note You need to log in before you can comment on or make changes to this bug.